Skip to main content
Documents Classic — deprecated. This guide covers the original templates surface used with POST /interactions/{id}/documents, accessed via GET /templates and templateKey. Classic is deprecated with a sunset date of January 18th, 2027 — see the upcoming changes announcement. A new, more flexible templates and sections API is now available — see Create a Section and Create a Template, or the migration guide.
In the Corti API, Templates define the structure for documents that are generated by Corti AI models from various inputs, such as conversational transcripts, facts, or other medical documents. Templates are available in different languages and can be specific to your organization. Each template includes sections that set the
  • structure (e.g., SOAP Note template consists of the four sections Subjective, Objective, Assessment and Plan)
  • a writing style
  • and documentation format
This ensures consistency, clarity, and control in use of AI to support medical reporting.

Key Features of Templates

Retrieving Available Templates

To generate a document, you must use a valid templateKey and the template must be available in the desired outputLanguage. To retrieve a list of available templates use the GET /templates request and use ?lang= to filter for available languages. Without any language filtering, the default returned are templates in en.

See details for standard out-of-the-box templates here